classification
Title: MSI: Remove win32com dependency from installer generator
Type: enhancement Stage:
Components: Installation, Windows Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, loewis, steve.dower, techtonik, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2011-02-02 08:14 by techtonik, last changed 2015-03-03 15:38 by steve.dower. This issue is now closed.

Messages (4)
msg127720 - (view) Author: anatoly techtonik (techtonik) Date: 2011-02-02 08:14
The MSI installer is generated using msilib.py from http://svn.python.org/projects/python/branches/release27-maint/Tools/msi that is dependent from external win32com module. We also have internal 'msilib' module that is unused for some reason.

Is it possible to incrementally transition from Tools/msilib.py to builtin 'msilib'?

See http://codereview.appspot.com/4080047/ for the start of the thread.
msg220759 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-16 20:47
If this report is (still) true I'd assume that we'd want to eventually action it.  Otherwise can we close this as out of date?
msg220925 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2014-06-18 08:16
There is a high chance that 3.5 might use an entirely different MSI generator, possibly based on WiX. If that happens, this issue will be outdated.
msg237111 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-03-03 08:24
This can now be closed as out of date.
History
Date User Action Args
2015-03-03 15:38:32steve.dowersetstatus: open -> closed
resolution: out of date
2015-03-03 08:24:37BreamoreBoysetnosy: + tim.golden, zach.ware, steve.dower
messages: + msg237111
components: + Windows
2014-06-18 08:16:27loewissetmessages: + msg220925
2014-06-16 20:47:55BreamoreBoysetversions: + Python 3.5, - Python 3.1, Python 2.7, Python 3.2, Python 3.3
nosy: + BreamoreBoy

messages: + msg220759

type: enhancement
2011-02-02 08:14:30techtonikcreate